1. store
My Project
  • Start your Apidog journey
  • petstore
    • user
      • Get user by user name
      • Updated user
      • Delete user
      • Create user
      • Creates list of users with given input array
      • Creates list of users with given input array
      • Logs out current logged in user session
      • Logs user into the system
    • pet
      • Update an existing pet
      • Add a new pet to the store
      • Find pet by ID
      • Updates a pet in the store with form data
      • Deletes a pet
      • uploads an image
      • Finds Pets by tags
      • Finds Pets by status
    • store
      • Place an order for a pet
        POST
      • Find purchase order by ID
        GET
      • Delete purchase order by ID
        DELETE
      • Returns pet inventories by status
        GET
  • Schemas
    • Sample Schemas
    • RequestBodies
    • Schemas
      • User
      • Category
      • Pet
      • Tag
      • Order
      • ModelApiResponse
  1. store

Find purchase order by ID

GET
/v2/store/order/{orderId}

For valid response try integer IDs with value >= 1 and <= 10. Other values will generated exceptions

Request

Path Params

Responses

🟢200OK
application/json
successful operation
Body

🟠400Bad Request
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v2/store/order/'
Response Response Example
200 - Success
{
    "id": "{{request.pathParams.id}}",
    "petId": 0,
    "quantity": 0,
    "shipDate": "2019-08-24T14:15:22.123Z",
    "status": "placed",
    "complete": true
}
Modified at 2025-06-16 08:52:06
Previous
Place an order for a pet
Next
Delete purchase order by ID
Built with